2011-01-13 Julien "_kaze_" ROZO <julien@rozo.org>
	* PRE_BUILD, openssl-1.0.0.patch: added a patch to fix compilation
	  issue with openssl version 1.0.0

2010-11-03 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: jpeg -> JPEG

2009-10-14 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Uses any provider of LIBSASL

2009-05-28 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply kdebase-gcc44.patch
	* kdebase-gcc44.patch: Fix compilation with GCC 4.4
	  From https://bugs.kde.org/show_bug.cgi?id=193242

2009-05-02 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* init.d/kdm: made it non-sh, bug #13702

2008-10-15 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Only backup the files if they exist, not just
	  if there's a directory

2008-09-24 Andrew Stitt <astitt@sourcemage.org>
	* DEPENDS: add missing dependencies

2008-08-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.10

2008-08-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* FINAL: added note about automounting

2008-04-22 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on mdnsresponder

2008-04-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Use a more direct SOURCE_URL for the SMGL KDE theme

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch XDAMAGE to the one and only libxdamage
	  No need to check if using modular X as that's all that's available now

2008-03-12 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Disable new LDFLAGS if using openexr (Bug #14363)

2008-02-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.9

2008-01-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: removed is_depends_enabled.function reference

2007-11-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added force_depends on kdelibs #14082

2007-10-20 Juuso Alasuutari <iuso@sourcemage.org>
	* FINAL: Removed warning about paths in kdmrc, they have been made
	  xorg-modular-compliant.

2007-10-16  Treeve Jelbert <treeve@sourcemage.org>
	* INSTALL: /usr/share/xsessions is a directory,
	  create it before copying
	* DETAILS: PATCHLEVEL++

2007-10-16  Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.8
	* PRE_BUILD: don't apply security patches
	* *.diff: deleted, already applied upstream

2007-09-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURTIY_PATCH++
	  CVE-2007-4224 CVE-2007-4225 CVE-2007-3820 CVE-2007-4569
	* post-3.5.7-kdebase-konqueror-2.diff: added
	* post-3.5.7-kdebase-konqueror.diff: removed
        * post-3.5.7-kdebase-kdm.diff: added
	* PRE_BUILD: apply security patch

2007-08-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURTIY_PATCH++
	* post-3.5.7-kdebase-konqueror.diff: added
	* PRE_BUILD: apply security patch

2007-05-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.7

2007-03-21 Juuso Alasuutari <iuso@sourcemage.org>
	* SUB_DEPENDS: Fixed buggy echo command.

2007-02-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD, INSTALL: use the source dir for configuration backup
	* volatiles: fix #13545
	* REPAIR^0^volatiles, REPAIR^1^volatiles: removed
	* REPAIR^all^volatiles: added

2007-02-02 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Added, sub-dependency for
	  cyrus-sasl (bug #13483).

2007-01-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 3.5.6

2006-11-15 Alexander Tsamutali <astsmtl@gmail.com>
	* PROVIDES: Added NS-PLUGIN-COMPATIBLE

2006-10-25 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added optional depends on sudo

2006-10-20 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Always use is_depends_enabled for checking if
	  dbus-qt3-old is needed, sources is_depends_enabled.function
	  (remove it when is_depends_enabled is in stable sorcery).

2006-10-11 Anton Brondz <dinolinux@sourcemage.org>
	* DETAILS: updated to 3.5.5

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated PATCHLEVEL to force installation of kde.desktop for
	  login managers (e.g. gdm) to list KDE.
	* DEPENDS: Optionally depend on htdig to generate KDE Help files
	* INSTALL: Install kde.desktop to /usr/share/xsessions/

2006-09-07 Anton Brondz <dinolinux@sourcemage.org>
	* DEPENDS: added optional depends, bug #12652

2006-08-31 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: moved optional depends on XDAMAGE from xorg-modular checking to
	  global area, it works for monolithic xorg too

2006-08-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added optional libxdamage for kompmgr #13029

2006-08-19 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* FINAL: added pmount notice

2006-08-08 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Added depends xsetroot, xset for
	  xorg-modular (bugs #11556, 12957).

2006-08-05 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: really add optional dbus-qt3 (for hal)

2006-08-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.4
	* post-3.5.0-kdebase-kdm.diff: REMOVE
	* PRE_BUILD: don't apply above patch
	* DEPENDS: add optional dbus-qt3 (for hal)

2006-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: add missing &&

2006-06-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-06-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH
	* PRE_BUILD, post-3.5.0-kdebase-kdm.diff: add
	  see <http://www.kde.org/info/security/advisory-20060614-1.txt>
	  CVE-2006-2449

2006-06-14 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add cdparanoia, libusb, libvorbis, samba, wine

2006-06-12 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* FINAL: added to warn xorg-modular users #12660

2006-06-07 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added xorg-libs checking, converted to
	  check_if_xorg_modular_libs

2006-06-03 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added imake when xorg-server is provider of X11-LIBS for qt-x11

2006-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.3

2006-05-30 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: clarified JAVA dependency #12366

2006-05-25 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depend on libxau, libxcomposite, libxcursor, libxdmcp, libxfixes,
	  libxft, libxrandr, libxtst, and libxxf86misc if xorg-server provides
	  X11-LIBS for qt-x11

2006-05-21 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added subdepends on kdelibs SVG, SSL for #10917,

2006-05-20 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* CONFIGURE: added missing &&
	* PREPARE, PRE_BUILD: added
	* PREPARE, DETAILS, PRE_BUILD, INSTALL: added optional smgl splash #8376

2006-04-14 Juuso Alasuutari <iuso@sourcemage.org>
	* BUILD: Same fix as below, but based on spell_ok as was
	  decided is the best option.

2006-04-13 Juuso Alasuutari <iuso@sourcemage.org>
	* BUILD: Fixed failure to compile (bug #10919) on systems
	  with no previous kdebase install. Thanks to lynxlynxlynx for
	  the patch!

2006-04-07 Juuso Alasuutari <iuso@sourcemage.org>
	* REPAIR^none^volatiles: Deleted
	* REPAIR^0^volatiles: Added
	* REPAIR^1^volatiles: Added

2006-04-06 Juuso Alasuutari <iuso@sourcemage.org>
	* volatiles: Added /usr/share/config/kdm/*, finish off bug
	  #10585
	* REPAIR^none^volatiles: Added

2006-03-30 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: more comprehensive check for not backuping config files between
	major releeases (thanks lynxlynxlynx and alley_cat for advices)

006-03-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.2

2006-03-16 Pol Vinogradov <vin.public@gmail.com>
	* WIP: removed, all is working now

2006-03-15 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: restored most changes that once were already
	  committed by public...

2006-03-15 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: and another fix =)

2006-03-15 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: removed some redundancies
	* volatiles: added. Sorry, this is useful. :)
	* WIP: changed

2006-03-15 Pol Vinogradov <vin.public@gmail.com>
	* FINAL, volatiles: removed
	* INSTALL: added, restoration operations now are here

2006-03-14 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: changed cp to mv, rm kdm config dir, so genkdmconf can create new *rc
	* FINAL: using install_config_file now
	* WIP: added

2006-03-13 Juuso Alasuutari <iuso@sourcemage.org>
	* WIP: deleted

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-11 Juuso Alasuutari <iuso@sourcemage.org>
	* FINAL: added, migrate restore config script from INSTALL,
	  added informational msg
	* INSTALL: deleted
	* BUILD: added info msg about config file backup

2006-03-10 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: deleted, kdm backup stuff now in BUILD
	* BUILD: added backup script w/ fixes
	* INSTALL: fixes to restore script
	* WIP: modified

2006-03-10 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: added, backup /usr/share/config/kdm/ before install
	* INSTALL: added, restore /usr/share/config/kdm/ after install
	* WIP: added, mentioned hacks need test & approval
	* volatiles: modified, *rc and X* in /usr/share/config/kdm/

2006-03-10 Juuso Alasuutari <iuso@sourcemage.org>
	* configs: deleted, didn't do anything to protect kdmrc

2006-02-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.1

2006-01-30 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* DEPENDS: optional_depends ntp, to have the time update
	  automatically in KDE

2006-01-27 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* volatiles: added for kdmrc

2006-01-25 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* configs: added for the kdmrc config file
	* DETAILS: added PATCHLEVEL

2005-12-05 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: fixed passing of KDEBASE_XCONSOLE to OPTS
			(it was missed)

2005-12-02 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* DETAILS: updated UPDATED

2005-11-30 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* DEPENDS: Added optional_depends hal.
	* BUILD: Removed option --without-hal

2005-11-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.5.0

2005-10-16 George Sherwood <george@beernabeer.com>
	* DEPENDS: Removed optional_depends hal.
	* BUILD: Added option --without-hal

2005-10-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.3
	* PRE_BUILD post-3.4.2-kdebase-kcheckpass.diff: deleted

2005-09-10 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* post-3.4.2-kdebase-kcheckpass.diff: added missing file

2005-09-09 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* post-3.4.2-kdebase-kcheckpass.diff, PRE_BUILD: added, security fix
		see http://www.kde.org/info/security/advisory-20050905-1.txt

2005-07-30 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added grimoire dependency on z-rejected (Bug #9281)

2005-07-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.2

2005-06-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED

2005-06-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: hal has flags, use them
	  Optionally depends on openssl, shadow, and OPENGL
	  Removed dependencies on lame and cdparanoia (belong
	  in kdemultimedia)

2005-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.1

2005-03-30 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: remove relative paths to grimoire libraries
	* CONFIGURE: remove relative paths to grimoire libraries
	* DEPENDS: remove relative paths to grimoire libraries
	* DETAILS: remove relative paths to grimoire libraries

2005-03-16 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: version 3.4.0
	* DEPENDS: added optional dependency on hal

2005-02-28 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: version 3.4.0-rc1
	* DEPENDS: optional dependency on cyrus-sasl, for
	  sasl support in ioslaves

2005-02-26 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: removed idea of a "devel" version. Spell
	  version stands at 3.3.92

2005-02-22 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* DETAILS: devel version 3.3.92

2005-01-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: Linux-PAM renamed to linux-pam

2004-12-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.2

2004-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.1

2004-09-23 Eric Sandall <sandalle@sourcemage.org>
	* BUILD, DETAILS, DEPENDS: Source KDE-generic scripts
	* BUILD: Added xdmcp and dpms flags to OPTS
	* DEPENDS: Removed libvorbis (this is configured in kdelibs)
	  Added optional dependency on arts, JAVA, libraw1394, Linux-PAM, openldap
	  Formatted to Guru Handbook
	* CONFIGURE: Added option for built-in xconsole for kdm

2004-08-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Fixed md5sum (Bug #7267)

2004-08-20 Eric Schabell <eschabell@sourcemage.org>
	* DETAILS: upgraded to version 3.3.

2004-08-10 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: delete
	* DETAILS: version 3.3.0-rc2

2004-08-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.0-rc1

2004-07-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.92

2004-07-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.2.91

2004-06-21 Eric Womack <eric@sourcemage.com>
	* DEPENDS: Housekeeping

2004-06-10 Eric Sandall <sandalle@sourcemage.org>
	* nsplugin.cpp.diff: Removed. Unused and no comments about what
	  it is for.

2004-06-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.2.3
	  SOURCE_URL now uses $VERSION instead of hard-coded
	  Make SHORT shorter

2004-05-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 3.2.90 / 3.2.2
	  allow use of devel or stable version
	  BUILD_API=2
	* BUILD: simplify
	* CONFIGURE: add

2004-04-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.2

2004-03-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.1

2004-02-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.2.0

2004-01-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.1.5
	  SOURCE_URL now uses ${VERSION}

2003-11-25 hgg <hgreig@bigpond.net.au>
	* DETAILS: turn off distcc, --enable-final means files upto 250 MB are transferred over the network
	  which seriously slows down KDE compilation.

2003-10-28 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Uppercase provides

2003-10-27 Treeve Jelbert <treeve@sourcemage.org>
	* HISTORY: reformatted

2003-09-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.4

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-05 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to 3.1.3

2003-08-01 Eric Laberge <demon_lord@myrealbox.com>
	* DETAILS: Updated to new simpleinit system

2003-05-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.2

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* Copied init.d/kdm.sh to /init.d/kdm
	  Step 1/3 in bug#: 3115

2003-03-31 Eric Sandall <sandalle@sourcemage.org>
	* Moved kdm.sh from init.d to kdebase

2003-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1.1

2003-03-06 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: unpack md5 added

2003-01-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 3.1

2003-01-25 Eric Womack <eric@sourcemage.com>
	* PROVIDES: And back again to graphical-web-browser

2003-01-23 Eric Womack <eric@sourcemage.com>
	* PROVIDES: Now properly set to graphical_web_browser

2003-01-10 Eric Womack <eric@sourcemage.com>
	* PROVIDES:: graphical_webbrowser changed to graphical-web-browser
	  as per request in bugzilla.

2003-01-10 Eric Womack <eric@sourcemage.com>
	* DETAILS: 3.1-rc6

2002-12-07 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc5

2002-11-29 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: "Suspend" for Xft* removed

2002-11-19 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: 3.1-rc3 Introduced

2002-11-12 Eric Womack <eric@lasvegasdata.com>
	* PRE_BUILD: modified to move and unpack sources

2002-11-08 Eric Womack <eric@lasvegasdata.com>
	* BUILD: Added "suspend" for Xft1 and Xft2

2002-10-15 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version Bump to 3.0.4

2002-09-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Fixed Bug #989

2002-09-11 Andrew Stitt <afrayedknot@thefrayedknot.armory.com>
	* DETAILS: fixed md5 field

2002-09-08 Eric Sandall <sandalle@sourcemage.org>
	* TRIGGERS: Added trigger to recast if qt-x11 is cast (Bug #907)

2002-08-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: changed to old system

2002-05-29 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version change to 3.0.1
	  New KDE versioning system
	* BUILD: objprelink removed

2002-04-09 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Beta Release

2002-04-03 George Mochrie <geo@drasil.uklinux.net>
	* DETAILS: Update to version 3.0
	* CONFIGURE POST_INSTALL: Removed

2002-03-14 Eric Womack <eric@lasvegasdata.com>
	* HISTORY: Added
	* BUILD: objprelink option added

